Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1448

Summary: mpg123 0.59q-2 doesn't work
Product: [Retired] Red Hat Linux Reporter: Alexander L. Belikoff <abel>
Component: mpg123-0.59preAssignee: Mike Maher <mike>
Status: CLOSED WONTFIX QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 6.0   
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 1999-03-24 22:43:37 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Alexander L. Belikoff 1999-03-07 16:25:09 UTC
mpg123 gives the following message:

$ mpg123 /mnt/cdrom/erasure/dk03_02.wav
High Performance MPEG 1.0/2.0/2.5 Audio Player for Layer 1,2
and 3.
Version 0.59q (1999/Jan/26). Written and copyrights by
Michael Hipp.
Uses code from various people. See 'README' for more!
THIS SOFTWARE COMES WITH ABSOLUTELY NO WARRANTY! USE AT YOUR
OWN RISK!
opening socket, format = 0x00001021 at -1 Hz
unsupported playback rate: -1
audio: Connection refused



An old version, I used for RedHat 4.2 works fine:

$ /mnt/dsk2/usr/bin/mpg123 /mnt/cdrom/foo/foo_*
High Performance MPEG 1.0/2.0/2.5 Audio Player for Layer 1,
2 and 3.
Version 0.59o (1998/Feb/08). Written and copyrights by
Michael Hipp.
Uses code from various people. See 'README' for more!
THIS SOFTWARE COMES WITH ABSOLUTELY NO WARRANTY! USE AT YOUR
OWN RISK!

Directory: /mnt/cdrom/foo/
Playing MPEG stream from foo_01.wav ...
Junk at the beginning
Skipped RIFF header!
MPEG 1.0 layer III, 112 kbit/s, 44100 Hz joint-stereo

Comment 1 Alexander L. Belikoff 1999-03-16 15:56:59 UTC
still broken in 5.8.6 (mpg123-0.59q-3)

Comment 2 Cristian Gafton 1999-03-19 03:48:59 UTC
assigned to mike maher

Comment 3 Mike Maher 1999-03-24 22:43:59 UTC
mpg123 should be used to decode mp3's.  The use of this is for mp3's
not wav files.